# LedgerClosedRequest | xrpl
Documentation for xrpl

# Interface LedgerClosedRequest

The ledger_closed method returns the unique identifiers of the most recently closed ledger. Expects a response in the form of a LedgerClosedResponse.

#### Example

    const ledgerClosed: LedgerClosedRequest = {
      "command": "ledger_closed"
    }

#### Hierarchy

- BaseRequest
  - LedgerClosedRequest

- Defined in packages/xrpl/src/models/methods/ledgerClosed.ts:18

#####
Index

### Properties

api_version?
command
id?

## Properties

### `Optional` api_version

api_version?: number

The API version to use. If omitted, use version 1.

Inherited from BaseRequest.api_version

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:16

### command

command: "ledger_closed"

The name of the API method.

Overrides BaseRequest.command

- Defined in packages/xrpl/src/models/methods/ledgerClosed.ts:19

### `Optional` id

id?: string | number

A unique value to identify this request. The response to this request uses the same id field. This way, even if responses arrive out of order, you know which request prompted which response.

Inherited from BaseRequest.id

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:12

Generated using TypeDoc